WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Membee Login

Add member authentication and access role management to your WordPress site via Membee's powerful Member Single Sign-On web service

Here's how to install the Membee Login plugin in your WordPress site:

  1. Login to your WordPress site and go to the Dashboard
  2. Choose Plugins
  3. Choose "Add New"
  4. Type "membee" and click Search Plugins
  5. When the Membee Login plugin appears in the search results, choose the "Install Now" link
  6. Answer "OK" to the "Are you sure you want to install this plugin?" prompt
  7. Choose "Activate Plugin" - takes you to the Installed Plugins section of the Dashboard
  8. Choose Settings on the Dashboard
  9. Choose Membee Login
  10. In Membee Login Options, enter the Client ID, Secret, and Application ID (these are generated in Membee's "Programs & Access Roles" feature - see http://membee.zendesk.com/entries/21277223-setting-up-membee-s-integrated-login-system-with-your-wordpress-site )
  11. Choose Save Options
  12. You're done!

Known Issues

Occasional 302 Redirect Errors in AJAX Calls

It seems that for sites making a large number of AJAX calls, you may encounter an occasional 302 error from your AJAX function. Membee's Login plugin may be the culprit because membee_init() is called via a WordPress add_action 'init' so it is called for every AJAX call made.

Note you should only make the following change if your site exhibits the behavior described above.

The fix is to temporarily disable the Membee Login plugin for the AJAX calls you are making. Here are the steps:

a) Open your theme's "functions.php" file and add the following code:

if (check_ajax_referer( 'your-special-string', 'security', false )) {
remove_action('init', 'membee_init'); }

b) Substitute arguments for check_ajax_referer function with values you used in your AJAX call

Requires: 2.7.0 or higher
Compatible up to: 3.7.1
Last Updated: 2013-10-31
Downloads: 5,950

Ratings

3 stars
3.4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.